# COROSYNC-QUORUMTOOL

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXIT STATUS
SEE ALSO
AUTHOR

## NAME

corosync-quorumtool − Set and display quorum settings.

## SYNOPSIS

corosync-quorumtool [−s] [−m] [−l] [−p] [−v votes] [−n nodeid] [−e expected] [−H] [−i] [−o <a|n|i>] [−a] [−f] [−h] [−V]

## DESCRIPTION

Display the current state of quorum in the cluster and set vote quorum options.

## OPTIONS

| -s |  | show quorum status
| -m |  | constantly monitor quorum status
| -l |  | list nodes
| -p |  | when used with -s or -l, generates machine parsable output

-v <votes>

change the number of votes for a node *

-n <nodeid>

optional nodeid of node for -v

-e <expected>

change expected votes for the cluster *

| -H |  | show nodeids in hexadecimal rather than decimal
| -i |  | show node IP addresses instead of the resolved name
| -p |  | when used with -s or -l, generates machine parsable output

-o <a|n|i>

Orders the output of the nodes list. By default or with -oa nodes are listed in IP address order: as they come from corosync. -on will order the nodes based on their name, and -oi will order them based on their node ID.

| -a |  | Show the name or IP address (see -i above) of all interfaces in use on the nodes, rather than just the first one.
| -f |  | forcefully unregister a quorum device *DANGEROUS* *

-h (if no other argument)

show this help text

| -V |  | show version and exit |

* Starred items only work if votequorum is the quorum provider for corosync

## EXIT STATUS

corosync-quorumtool may return one of several error codes if it encounters problems.

| 0 |  | No problems occurred (quorate for -s operation). |
| 1 |  | Generic error code. |
| 2 |  | Not quorate (returned only for -s operation). |

## SEE ALSO

corosync_overview(7), votequorum_overview(3),

## AUTHOR

Angus Salkeld